## org.apache.myfaces.custom.tabbedpane
Class HtmlPanelTabbedPane

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIPanel
                  javax.faces.component.html.HtmlPanelGroup
                      org.apache.myfaces.custom.tabbedpane.HtmlPanelTabbedPane

All Implemented Interfaces:
  javax.faces.component.StateHolder

public class HtmlPanelTabbedPane
extends javax.faces.component.html.HtmlPanelGroup

Version:
  $Revision: 215977 $ $Date: 2005-07-12 11:56:11 -0400 (Tue, 12 Jul 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Field Summary
`static java.lang.String` `COMPONENT_FAMILY`
`static java.lang.String` `COMPONENT_TYPE`

Constructor Summary
`HtmlPanelTabbedPane()`

Method Summary
`void` `addTabChangeListener(TabChangeListener listener)`
`void` `broadcast(javax.faces.event.FacesEvent event)`
`void` `decode(javax.faces.context.FacesContext context)`
`java.lang.String` `getActiveSubStyleClass()`
`java.lang.String` `getActiveTabStyleClass()`
`java.lang.String` `getBgcolor()`
`java.lang.String` `getDisabledTabStyleClass()`
`java.lang.String` `getFamily()`
`java.lang.String` `getInactiveSubStyleClass()`
`java.lang.String` `getInactiveTabStyleClass()`
`int` `getSelectedIndex()`
`javax.faces.el.MethodBinding` `getTabChangeListener()`
`java.lang.String` `getTabContentStyleClass()`
`void` `processDecodes(javax.faces.context.FacesContext context)`
`void` `removeTabChangeListener(TabChangeListener listener)`
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`
`void` `setActiveSubStyleClass(java.lang.String activeSubStyleClass)`
`void` `setActiveTabStyleClass(java.lang.String activeTabStyleClass)`
`void` `setBgcolor(java.lang.String bgcolor)`
`void` `setDisabledTabStyleClass(java.lang.String disabledTabStyleClass)`
`void` `setInactiveSubStyleClass(java.lang.String inactiveSubStyleClass)`
`void` `setInactiveTabStyleClass(java.lang.String inactiveTabStyleClass)`
`void` `setSelectedIndex(int selectedIndex)`
`void` `setTabChangeListener(javax.faces.el.MethodBinding tabChangeListener)`
`void` `setTabContentStyleClass(java.lang.String tabContentStyleClass)`

Methods inherited from class javax.faces.component.html.HtmlPanelGroup
`getStyle, getStyleClass, setStyle, setStyleClass`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlPanelTabbedPane

    public HtmlPanelTabbedPane()

Method Detail

### decode

    public void decode(javax.faces.context.FacesContext context)

### processDecodes

    public void processDecodes(javax.faces.context.FacesContext context)

### addTabChangeListener

    public void addTabChangeListener(TabChangeListener listener)

### removeTabChangeListener

    public void removeTabChangeListener(TabChangeListener listener)

### getTabChangeListener

    public javax.faces.el.MethodBinding getTabChangeListener()

### setTabChangeListener

    public void setTabChangeListener(javax.faces.el.MethodBinding tabChangeListener)

### broadcast

    public void broadcast(javax.faces.event.FacesEvent event)
                   throws javax.faces.event.AbortProcessingException

  Throws:
    `javax.faces.event.AbortProcessingException`

### getFamily

    public java.lang.String getFamily()

### setSelectedIndex

    public void setSelectedIndex(int selectedIndex)

### getSelectedIndex

    public int getSelectedIndex()

### setBgcolor

    public void setBgcolor(java.lang.String bgcolor)

### getBgcolor

    public java.lang.String getBgcolor()

### setActiveTabStyleClass

    public void setActiveTabStyleClass(java.lang.String activeTabStyleClass)

### getActiveTabStyleClass

    public java.lang.String getActiveTabStyleClass()

### setInactiveTabStyleClass

    public void setInactiveTabStyleClass(java.lang.String inactiveTabStyleClass)

### getInactiveTabStyleClass

    public java.lang.String getInactiveTabStyleClass()

### setActiveSubStyleClass

    public void setActiveSubStyleClass(java.lang.String activeSubStyleClass)

### getActiveSubStyleClass

    public java.lang.String getActiveSubStyleClass()

### setInactiveSubStyleClass

    public void setInactiveSubStyleClass(java.lang.String inactiveSubStyleClass)

### getInactiveSubStyleClass

    public java.lang.String getInactiveSubStyleClass()

### setTabContentStyleClass

    public void setTabContentStyleClass(java.lang.String tabContentStyleClass)

### getTabContentStyleClass

    public java.lang.String getTabContentStyleClass()

### getDisabledTabStyleClass

    public java.lang.String getDisabledTabStyleClass()

### setDisabledTabStyleClass

    public void setDisabledTabStyleClass(java.lang.String disabledTabStyleClass)

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)